Bug 1888170 - unhandled amd64-linux syscall: 439 (faccessat2)
Summary: unhandled amd64-linux syscall: 439 (faccessat2)
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: valgrind
Version: rawhide
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Mark Wielaard
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-10-14 09:40 UTC by Kamil Dudka
Modified: 2021-02-24 20:44 UTC (History)
4 users (show)

Fixed In Version: valgrind-3.16.1-6.fc34 valgrind-3.16.1-8.fc33 valgrind-3.16.1-18.fc32
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-10-18 21:00:07 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
KDE Software Compilation 427787 0 NOR RESOLVED Support new faccessat2 linux syscall (439) 2021-01-13 10:06:13 UTC

Description Kamil Dudka 2020-10-14 09:40:52 UTC
Description of problem:
valgrind does not handle syscall 439 (faccessat2).


Version-Release number of selected component (if applicable):
glibc-2.32.9000-1.fc34.x86_64
kernel-5.8.0-1.fc33.x86_64
valgrind-3.16.1-5.fc34.x86_64


How reproducible:
Easily.


Steps to Reproduce:
# valgrind --quiet /usr/bin/hostnamectl > /dev/null


Actual results:
--1800-- WARNING: unhandled amd64-linux syscall: 439
--1800-- You may be able to write your own handler.
--1800-- Read the file README_MISSING_SYSCALL_OR_IOCTL.
--1800-- Nevertheless we consider this a bug.  Please report
--1800-- it at http://valgrind.org/support/bug_reports.html.

Comment 1 Mark Wielaard 2020-10-16 00:53:09 UTC
Thanks for the report. faccessat2 is simply faccessat with an extra flags field.
https://bugs.kde.org/show_bug.cgi?id=427787

Comment 2 Kamil Dudka 2020-10-19 08:01:33 UTC
I confirm that valgrind-3.16.1-6.fc34 works as expected.  Thanks!

Comment 3 Fedora Update System 2020-12-03 20:27:00 UTC
FEDORA-2020-62b0db3640 has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2020-62b0db3640

Comment 4 Fedora Update System 2020-12-05 01:58:45 UTC
FEDORA-2020-62b0db3640 has been pushed to the Fedora 33 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-62b0db3640`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-62b0db3640

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 5 Fedora Update System 2020-12-13 02:09:15 UTC
FEDORA-2020-62b0db3640 has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 6 Fedora Update System 2021-02-15 16:52:13 UTC
FEDORA-2021-aae6525270 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2021-aae6525270

Comment 7 Fedora Update System 2021-02-16 01:18:37 UTC
FEDORA-2021-aae6525270 has been pushed to the Fedora 32 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-aae6525270`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-aae6525270

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2021-02-24 20:44:44 UTC
FEDORA-2021-aae6525270 has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.